// ************************************************************************** //
//
//  BornAgain: simulate and fit scattering at grazing incidence
//
//! @file      Algorithms/inc/ExperimentConstants.h
//! @brief     Defines axis names in namespace NDetector2d
//!
//! @homepage  http://apps.jcns.fz-juelich.de/BornAgain
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2013
//! @authors   Scientific Computing Group at MLZ Garching
//! @authors   C. Durniak, G. Pospelov, W. Van Herck, J. Wuttke 
//
// ************************************************************************** //

#ifndef EXPERIMENTCONSTANTS_H_
#define EXPERIMENTCONSTANTS_H_

#include <string>

namespace NDetector2d
{
    const std::string PHI_AXIS_NAME = "phi_f";
    const std::string ALPHA_AXIS_NAME = "alpha_f";
}

#endif /* EXPERIMENTCONSTANTS_H_ */
